Modify

Opened 5 years ago

Closed 4 years ago

Last modified 4 years ago

#13532 closed defect (fixed)

ramips rt2x00(?) failed CPU 0 Unable to handle paging request

Reported by: sagili.tsp@… Owned by: developers
Priority: high Milestone: Barrier Breaker 14.07
Component: kernel Version: Attitude Adjustment 12.09
Keywords: rt2x00, rt3352 Cc:

Description

Latest AA r36608 could not boot properly. Network does get initialized. Tested on RT3352. Trunk ver is ok. Partial boot log as follow:

[ 11.460000] phy0 -> rt2x00lib_request_eeprom_file: Info - Loading EEPROM data from 'RT305X.eeprom'.
[ 11.700000] phy0 -> rt2x00_set_chip: Info - Chipset detected - rt: 3352, rf: 000c, rev: 0200.
[ 11.720000] CPU 0 Unable to handle kernel paging request at virtual address 00000000, epc == 8000134c, ra == 8303a5b8
[ 11.740000] Oops#1:
[ 11.740000] Cpu 0
[ 11.740000] $ 0 : 00000000 00000000 00000000 801f8ac4
[ 11.740000] $ 4 : 8022b5d8 00000000 00000400 00000003
[ 11.740000] $ 8 : 00000020 00000001 00000001 00000000
[ 11.740000] $12 : 00000000 00000000 00000001 ffffffff
[ 11.740000] $16 : 83873780 00000002 83022e80 83873780
[ 11.740000] $20 : 83872aa0 80260000 80230000 801e9074
[ 11.740000] $24 : 00000003 801294dc
[ 11.740000] $28 : 83b50000 83b51cb0 838739c4 8303a5b8
[ 11.740000] Hi : 00000000
[ 11.740000] Lo : b61f0000
[ 11.740000] epc : 8000134c 0x8000134c
[ 11.740000] Tainted: G O
[ 11.740000] ra : 8303a5b8 0x8303a5b8
[ 11.740000] Status: 1100a403 KERNEL EXL IE
[ 11.740000] Cause : 00800008
[ 11.740000] BadVA : 00000000
[ 11.740000] PrId : 0001964c (MIPS 24KEc)
[ 11.740000] Modules linked in: rt2800pci(O+) rt2800lib(O) rt2x00soc(O) rt2x00pci(O) rt2x00lib(O) mac80211(O) usbcore usb_common nls_base crc_itu_t crc_ccitt ipv6 eeprom_93cx6 cfg80211(O) compat(O) arc4 aes_generic crypto_algapi leds_gpio button_hotplug(O) gpio_keys_polled input_polldev input_core
[ 11.740000] Process insmod (pid: 418, threadinfo=83b50000, task=83b88428, tls=771e9440)
[ 11.740000] Stack : 83022d80 80024070 83b51ccc 83873780 83873780 8303ac64 83873780 83022d80
[ 11.740000] 8303b624 8303b490 00003352 0000000c 00000200 83873780 00000400 80260000
[ 11.740000] 83873780 00000200 00000000 830f9328 00000001 8312bea0 00000000 00000003
[ 11.740000] 00000000 83022d80 83872aa0 83100dc4 8022b5d0 8022b5d8 830bb388 83873780
[ 11.740000] 83872aa0 80260000 80230000 801e9074 801e9094 83146234 80260000 801328cc
[ 11.740000] ...
[ 11.740000] Call Trace:[<80024070>] 0x80024070
[ 11.740000] [<8303ac64>] 0x8303ac64
[ 11.740000] [<830f9328>] 0x830f9328
[ 11.740000] [<8312bea0>] 0x8312bea0
[ 11.740000] [<83100dc4>] 0x83100dc4
[ 11.740000] [<83146234>] 0x83146234
[ 11.740000] [<801328cc>] 0x801328cc
[ 11.740000] [<80132b54>] 0x80132b54
[ 11.740000] [<801de3cc>] 0x801de3cc
[ 11.740000] [<80030308>] 0x80030308
[ 11.740000] [<80132c74>] 0x80132c74
[ 11.740000] [<80131084>] 0x80131084
[ 11.740000] [<80132c08>] 0x80132c08
[ 11.740000] [<8013139c>] 0x8013139c
[ 11.740000] [<800f9cec>] 0x800f9cec
[ 11.740000] [<8003038c>] 0x8003038c
[ 11.740000] [<80132360>] 0x80132360
[ 11.740000] [<8013302c>] 0x8013302c
[ 11.740000] [<83029000>] 0x83029000
[ 11.740000] [<80000900>] 0x80000900
[ 11.740000] [<8006bba0>] 0x8006bba0
[ 11.740000] [<8002e494>] 0x8002e494
[ 11.740000] [<80041d30>] 0x80041d30
[ 11.740000] [<800661fc>] 0x800661fc
[ 11.740000] [<80008a24>] 0x80008a24
[ 11.740000]
[ 11.740000]
[ 11.740000] Code: 3c038020 00a01021 24638ac4
[ 11.740000] 90610000 24420001 14240004 24630001 1480fffb
[ 12.250000] ---[ end trace fc12efc6b51e81b7 ]---
[ 12.390000] PPP generic driver version 2.4.2

Attachments (0)

Change History (20)

comment:1 Changed 5 years ago by anonymous

After update to compat-wireless-2013-02-22? You can try http://www.mail-archive.com/openwrt-devel@lists.openwrt.org/msg18347.html or rollback to cw-2012-09-07

comment:2 Changed 5 years ago by anonymous

The same for 3050F....

comment:3 Changed 5 years ago by jogo

Please enable kernel symbol table information in menuconfig and recompile so the addresses get resolved to actual function names; without the stack trace is useless.

comment:4 Changed 5 years ago by rechapita@…

Im also affected by this issue. I tryied recompiling with kernel symbol table information but this causes image generation to fail because the kernel image is too big.

LZMA 4.65 : Igor Pavlov : Public domain : 2009-02-03 if [ stat -c%s "/home/martin/openwrt/attitude_adjustment/build_dir/linux-ramips_rt305x/vmlinux-all0239-3g.bin.lzma" -gt expr 917504 - 64 ]; then echo "Warning: /home/martin/openwrt/attitude_adjustment/build_dir/linux-ramips_rt305x/vmlinux-all0239-3g.bin.lzma is too big"; else if [ stat -c%s "/home/martin/openwrt/attitude_adjustment/build_dir/linux-ramips_rt305x/root.squashfs" -gt 7143424 ]; then echo "Warning: /home/martin/openwrt/attitude_adjustment/build_dir/linux-ramips_rt305x/root.squashfs is too big"; else ( dd if=/home/martin/openwrt/attitude_adjustment/build_dir/linux-ramips_rt305x/vmlinux-all0239-3g.bin.lzma bs=expr 917504 - 64 conv=sync ; dd if=/home/martin/openwrt/attitude_adjustment/build_dir/linux-ramips_rt305x/root.squashfs ) > /home/martin/openwrt/attitude_adjustment/build_dir/linux-ramips_rt305x/vmlinux-all0239-3g.bin.lzma.combined ; fi ; fi Warning: /home/martin/openwrt/attitude_adjustment/build_dir/linux-ramips_rt305x/vmlinux-all0239-3g.bin.lzma is too big mkimage -A mips -O linux -T kernel -C lzma -a 0x80000000 -e 0x80000000 -n "MIPS OpenWrt Linux-3.3.8" -d /home/martin/openwrt/attitude_adjustment/build_dir/linux-ramips_rt305x/vmlinux-all0239-3g.bin.lzma.combined /home/martin/openwrt/attitude_adjustment/bin/ramips/openwrt-ramips-rt305x-all0239-3g-squashfs-sysupgrade.bin mkimage: Can't open /home/martin/openwrt/attitude_adjustment/build_dir/linux-ramips_rt305x/vmlinux-all0239-3g.bin.lzma.combined: No such file or directory

Any suggestions?

comment:5 Changed 5 years ago by anonymous

Same error here: root.squashfs is too big!

comment:6 Changed 5 years ago by Martin Zulliger <exe@…>

Same here, cant compile with kernel symbol table, but I have something to add.

I opened a ticket /ticket/13578.html but then someone pointed me to this one (I guess we have to close mine as duplicated). Anyway what I said there is that I found out that the revision that breaks it is the r36470. I think thats something... albeit r36470 is huge :-/

comment:7 Changed 5 years ago by Martin Zulliger <exe@…>

Ok! I think I managed to do it, I got this:

[    6.610000] Backport based on wireless-testing.git master-2013-02-22                                                                                                                                                                                                                                                  
[    6.620000] compat.git: wireless-testing.git                                                                                                                                                                                                                                                                          
[    6.650000] cfg80211: Calling CRDA to update world regulatory domain                                                                                                                                                                                                                                                  
[    6.670000] cfg80211: World regulatory domain updated:                                                                                                                                                                                                                                                                
[    6.680000] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)                                                                                                                                                                                                                             
[    6.690000] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)                                                                                                                                                                                                                                  
[    6.710000] cfg80211:   (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)                                                                                                                                                                                                                                  
[    6.730000] cfg80211:   (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)                                                                                                                                                                                                                                  
[    6.740000] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)                                                                                                                                                                                                                                  
[    6.760000] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)                                                                                                                                                                                                                                  
[    7.210000] usbcore: registered new interface driver usbfs                                                                                                                                                                                                                                                            
[    7.230000] usbcore: registered new interface driver hub                                                                                                                                                                                                                                                              
[    7.240000] usbcore: registered new device driver usb                                                                                                                                                                                                                                                                 
[    7.560000] phy0 -> rt2x00lib_request_eeprom_file: Info - Loading EEPROM data from 'RT305X.eeprom'.                                                                                                                                                                                                                   
[    7.760000] phy0 -> rt2x00_set_chip: Info - Chipset detected - rt: 2872, rf: 0008, rev: 0200.                                                                                                                                                                                                                         
[    7.780000] CPU 0 Unable to handle kernel paging request at virtual address 00000000, epc == 8000134c, ra == 80d6a5b8                                                                                                                                                                                                 
[    7.800000] Oops[#1]:                                                                                                                                                                                                                                                                                                 
[    7.800000] Cpu 0                                                                                                                                                                                                                                                                                                     
[    7.800000] $ 0   : 00000000 00000000 00000000 80218324                                                                                                                                                                                                                                                               
[    7.800000] $ 4   : 8024b5d8 00000000 00000400 00000003                                                                                                                                                                                                                                                               
[    7.800000] $ 8   : 00000020 00000001 00000001 00000000                                                                                                                                                                                                                                                               
[    7.800000] $12   : 00000000 00000000 00000001 ffffffff                                                                                                                                                                                                                                                               
[    7.800000] $16   : 81873780 00000002 80c1cd80 81873780                                                                                                                                                                                                                                                               
[    7.800000] $20   : 81872aa0 80280000 00000028 80040644                                                                                                                                                                                                                                                               
[    7.800000] $24   : 00000003 80125d3c                                                                                                                                                                                                                                                                                 
[    7.800000] $28   : 80d4a000 80d4bcb0 818739c4 80d6a5b8                                                                                                                                                                                                                                                               
[    7.800000] Hi    : 00000000                                                                                                                                                                                                                                                                                          
[    7.800000] Lo    : cbd20000                                                                                                                                                                                                                                                                                          
[    7.800000] epc   : 8000134c clk_get+0xc/0x110                                                                                                                                                                                                                                                                        
[    7.800000]     Tainted: G           O                                                                                                                                                                                                                                                                                
[    7.800000] ra    : 80d6a5b8 rt2800_probe_clk+0x1c/0x60 [rt2800lib]                                                                                                                                                                                                                                                   
[    7.800000] Status: 1100a403    KERNEL EXL IE                                                                                                                                                                                                                                                                         
[    7.800000] Cause : 00800008                                                                                                                                                                                                                                                                                          
[    7.800000] BadVA : 00000000                                                                                                                                                                                                                                                                                          
[    7.800000] PrId  : 0001964c (MIPS 24KEc)                                                                                                                                                                                                                                                                             
[    7.800000] Modules linked in: rt2800pci(O+) rt2800lib(O) rt2x00soc(O) rt2x00pci(O) rt2x00lib(O) mac80211(O) usbcore usb_common nls_base crc_itu_t crc_ccitt eeprom_93cx6 cfg80211(O) compat(O) arc4 aes_generic crypto_algapi leds_gpio button_hotplug(O) gpio_keys_polled input_polldev input_core                  
[    7.800000] Process insmod (pid: 396, threadinfo=80d4a000, task=81b8ba30, tls=77a99440)                                                                                                                                                                                                                               
[    7.800000] Stack : 80c1cc80 80024430 80d4bccc 81873780 81873780 80d6ac64 81873780 80c1cc80                                                                                                                                                                                                                           
[    7.800000]         80d6b624 80d6b490 00002872 00000008 00000200 81873780 00000400 80280000                                                                                                                                                                                                                           
[    7.800000]         81873780 00000200 00000000 80c71328 00000001 80d2bea0 00000000 00000003                                                                                                                                                                                                                           
[    7.800000]         00000000 80c1cc80 81872aa0 80d00dc4 8024b5d0 8024b5d8 81bf9388 81873780                                                                                                                                                                                                                           
[    7.800000]         81872aa0 80280000 00000028 80040644 00000124 80d5a234 80280000 8012f17c                                                                                                                                                                                                                           
[    7.800000]         ...                                                                                                                                                                                                                                                                                               
[    7.800000] Call Trace:                                                                                                                                                                                                                                                                                               
[    7.800000] [<8000134c>] clk_get+0xc/0x110                                                                                                                                                                                                                                                                            
[    7.800000] [<80d6a5b8>] rt2800_probe_clk+0x1c/0x60 [rt2800lib]                                                                                                                                                                                                                                                       
[    7.800000] [<80d6ac64>] rt2800_probe_hw+0x668/0xb84 [rt2800lib]                                                                                                                                                                                                                                                      
[    7.800000] [<80c71328>] rt2x00lib_probe_dev+0x20c/0x73c [rt2x00lib]                                                                                                                                                                                                                                                  
[    7.800000] [<80d5a234>] rt2x00soc_probe+0x1a8/0x1c4 [rt2x00soc]                                                                                                                                                                                                                                                      
[    7.800000] [<8012f404>] driver_probe_device+0xc8/0x17c                                                                                                                                                                                                                                                               
[    7.800000] [<8012f524>] __driver_attach+0x6c/0xa4                                                                                                                                                                                                                                                                    
[    7.800000] [<8012dc4c>] bus_for_each_dev+0x5c/0xa0                                                                                                                                                                                                                                                                   
[    7.800000] [<8012ec10>] bus_add_driver+0xd4/0x264                                                                                                                                                                                                                                                                    
[    7.800000] [<8012f8dc>] driver_register+0xcc/0x180                                                                                                                                                                                                                                                                   
[    7.800000] [<80000900>] do_one_initcall+0xf0/0x1c0                                                                                                                                                                                                                                                                   
[    7.800000] [<80042bb4>] sys_init_module+0x166c/0x18cc                                                                                                                                                                                                                                                                
[    7.800000] [<80008de4>] stack_done+0x20/0x40                                                                                                                                                                                                                                                                         
[    7.800000]                                                                                                                                                                                                                                                                                                           
[    7.800000]                                                                                                                                                                                                                                                                                                           
[    7.800000] Code: 3c038022  00a01021  24638324                                                                                                                                                                                                                                                                        
[    7.800000]  90610000  24420001  14240004  24630001  1480fffb                                                                                                                                                                                                                                                         
[    8.290000] ---[ end trace f082f63b648df3c9 ]---                                                                                                                                                                                                                                                                      
[    8.340000] PPP generic driver version 2.4.2                                                                                                                                                                                                                                                                          
[    8.500000] ip_tables: (C) 2000-2006 Netfilter Core Team                                                                                                                                                                                                                                                              
[    8.730000] NET: Registered protocol family 24                                                                                                                                                                                                                                                                        
[    8.760000] nf_conntrack version 0.5.0 (466 buckets, 1864 max)                                                                                                                                                                                                                                                        
[    9.090000] dwc_otg: version 2.72a 24-JUN-2008

comment:8 Changed 5 years ago by anonymous

As a quick workaround, try to remove package/mac80211/patches/615-rt2x00-fix_20mhz_clk.patch and then rebuild.

Bit of a kludge but it worked for me, although most likely not much help for devices with a 20Mhz clock.

comment:9 Changed 5 years ago by anonymous

Seems fixed with r36754

comment:10 Changed 5 years ago by Christos Chalvantzis <c.chalvantzis@…>

Same problem with Asus RT-N10+ runing AA r36801:

Sep  8 18:44:14 OpenWrt kern.info kernel: phy0 -> rt2x00_set_chip: Info - Chipset detected - rt: 2872, rf: 0005, rev: 0200.
Sep  8 18:44:14 OpenWrt kern.alert kernel: CPU 0 Unable to handle kernel paging request at virtual address 00000000, epc == 8000134c, ra == 80caa5b8
Sep  8 18:44:14 OpenWrt kern.warn kernel: Oops[#1]:
Sep  8 18:44:14 OpenWrt kern.warn kernel: Cpu 0
Sep  8 18:44:14 OpenWrt kern.warn kernel: $ 0   : 00000000 00000000 00000000 801faa44
Sep  8 18:44:14 OpenWrt kern.warn kernel: $ 4   : 8022d5d8 00000000 00000400 00000003
Sep  8 18:44:14 OpenWrt kern.warn kernel: $ 8   : 0000000a 00000003 00000001 6672202c
Sep  8 18:44:14 OpenWrt kern.warn kernel: $12   : ffffffff 8020001f 00000001 ffffffff
Sep  8 18:44:14 OpenWrt kern.warn kernel: Process insmod (pid: 417, threadinfo=80d3e000, task=81908c78, tls=77fe9440)
Sep  8 18:44:14 OpenWrt kern.warn kernel: Stack : 80d3b900 80024070 80d3fccc 81873780 81873780 80caac64 81873780 80d3b900
Sep  8 18:44:14 OpenWrt kern.warn kernel:         80cab624 80cab490 00002872 00000005 00000200 81873780 00000400 80260000
Sep  8 18:44:14 OpenWrt kern.warn kernel:         81873780 00000200 00000000 80dd1328 81803200 00000000 000080d0 81873780
Sep  8 18:44:14 OpenWrt kern.warn kernel:         00000000 80260000 80230000 801eb054 8022d5d0 8022d5d8 80caf388 81873780
Sep  8 18:44:14 OpenWrt kern.warn kernel:         81872aa0 80260000 80230000 801eb054 801eb074 80c8d234 80260000 8013152c
Sep  8 18:44:14 OpenWrt kern.warn kernel:         ...
Sep  8 18:44:14 OpenWrt kern.warn kernel: Call Trace:[<80024070>] 0x80024070
Sep  8 18:44:14 OpenWrt kern.warn kernel: [<80caac64>] 0x80caac64
Sep  8 18:44:14 OpenWrt kern.warn kernel: [<80dd1328>] 0x80dd1328
Sep  8 18:44:14 OpenWrt kern.warn kernel: [<80c8d234>] 0x80c8d234
Sep  8 18:44:14 OpenWrt kern.warn kernel: [<8013152c>] 0x8013152c
Sep  8 18:44:14 OpenWrt kern.warn kernel: [<801317b4>] 0x801317b4
Sep  8 18:44:14 OpenWrt kern.warn kernel: [<801df5cc>] 0x801df5cc
Sep  8 18:44:14 OpenWrt kern.warn kernel: [<80030308>] 0x80030308
Sep  8 18:44:14 OpenWrt kern.warn kernel: [<801318d4>] 0x801318d4
Sep  8 18:44:14 OpenWrt kern.warn kernel: [<8012fce4>] 0x8012fce4
Sep  8 18:44:14 OpenWrt kern.warn kernel: [<80131868>] 0x80131868
Sep  8 18:44:14 OpenWrt kern.warn kernel: [<8012fffc>] 0x8012fffc
Sep  8 18:44:14 OpenWrt kern.warn kernel: [<800f893c>] 0x800f893c
Sep  8 18:44:14 OpenWrt kern.warn kernel: [<8003038c>] 0x8003038c
Sep  8 18:44:14 OpenWrt kern.warn kernel: [<80130fc0>] 0x80130fc0
Sep  8 18:44:14 OpenWrt kern.warn kernel: [<80131c8c>] 0x80131c8c
Sep  8 18:44:14 OpenWrt kern.warn kernel: [<80dc7000>] 0x80dc7000
Sep  8 18:44:14 OpenWrt kern.warn kernel: [<80000900>] 0x80000900
Sep  8 18:44:14 OpenWrt kern.warn kernel: [<8006bb10>] 0x8006bb10
Sep  8 18:44:14 OpenWrt kern.warn kernel: [<8002e494>] 0x8002e494
Sep  8 18:44:14 OpenWrt kern.warn kernel: [<80041d30>] 0x80041d30
Sep  8 18:44:14 OpenWrt kern.warn kernel: [<8006616c>] 0x8006616c
Sep  8 18:44:14 OpenWrt kern.warn kernel: [<80008a24>] 0x80008a24

comment:11 Changed 5 years ago by anonymous

I confirm, this problem is still present on DIR-300 B1

comment:12 follow-up: Changed 5 years ago by nbd

please try r36929

comment:13 in reply to: ↑ 12 Changed 5 years ago by Christos Chalvantzis <c.chalvantzis@…>

Replying to nbd:

please try r36929

System now boots normally. Bug #13596 still exists.

comment:14 Changed 5 years ago by nbd

  • Resolution set to fixed
  • Status changed from new to closed

comment:15 Changed 5 years ago by ylxu72@…

  • Resolution fixed deleted
  • Status changed from closed to reopened

r37266 undeleted the buggy patch 615-rt2x00-fix_20mhz_clk.patch in package/mac80211/patches of AA branch, and the bug reappeared.

comment:16 Changed 5 years ago by nbd

  • Resolution set to fixed
  • Status changed from reopened to closed

fixed in r37365

comment:17 Changed 4 years ago by anonymous

can u explain what all part belongs to which crash details

comment:18 Changed 4 years ago by anonymous

  • Resolution fixed deleted
  • Status changed from closed to reopened

r39928 re-introduced this bug. It is fixed by again removing 615-rt2x00-fix_20mhz_clk.patch. That breaks another patch, 619-rt2x00-change-led-polarity-from-OF.patch.

comment:19 Changed 4 years ago by nbd

  • Resolution set to fixed
  • Status changed from reopened to closed

fixed in r39952

comment:20 Changed 4 years ago by jow

  • Milestone changed from Attitude Adjustment 12.09 to Barrier Breaker 14.07

Milestone Attitude Adjustment 12.09 deleted

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.